﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Collections.Specialized;

namespace OpcLabs.BaseLibFactory.Collections.Specialized
{
    static public class NormalizedExceptionCollectionInstances
    {
        [NotNull]
        static public NormalizedExceptionCollection Instance0 => new NormalizedExceptionCollection();

        [NotNull]
        static public NormalizedExceptionCollection Instance1 => new NormalizedExceptionCollection(new [] { NormalizedExceptionInstances.Instance1 });

        [NotNull]
        static public NormalizedExceptionCollection Instance2 => new NormalizedExceptionCollection(new[]
        {
            NormalizedExceptionInstances.Instance1,
            NormalizedExceptionInstances.Instance2,
            NormalizedExceptionInstances.Instance3,
            NormalizedExceptionInstances.Instance4,
            NormalizedExceptionInstances.Instance5
        });
    }
}
