﻿
using JetBrains.Annotations;
using OpcLabs.BaseLib.DataTypeModel;

namespace OpcLabs.BaseLibFactory.DataTypeModel
{
    static public class FieldDataDictionaryInstances
    {
        [NotNull]
        static public FieldDataDictionary Instance1 => new FieldDataDictionary
        {
            {"fieldName1", OpaqueDataInstances.Instance0}
        };

        [NotNull]
        static public FieldDataDictionary Instance2 => new FieldDataDictionary
        {
            {"fieldName1", OpaqueDataInstances.Instance2},
            {"fieldName2", EnumerationDataInstances.Instance2},
            {"fieldName3", StructuredDataInstances.Instance2}
        };
    }
}
