﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents;
using OpcLabs.EasyOpc.AlarmsAndEvents.Engine;
using OpcLabs.EasyOpcFactory.AlarmsAndEvents.Engine;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents
{
    static public class EasyAEClientSelectorInstances
    {
        [NotNull]
        static public EasyAEClientSelector Instance1 => new EasyAEClientSelector
        {
            Differentiator = "TestDifferentiator",
            InstanceParameters = EasyAEInstanceParametersInstances.Instance1,
            Isolated = true,
            IsolatedParameters = EasyAEAdaptableParameters.Default,    // IMPROVE: use Instance1 when we add data members
        };
    }
}
