﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess;
using OpcLabs.EasyOpcFactory.DataAccess.Engine;

namespace OpcLabs.EasyOpcFactory.DataAccess
{
    static public class EasyDAClientInstances
    {
        [NotNull]
        static public EasyDAClient Instance0 => new EasyDAClient();

        [NotNull]
        static public EasyDAClient Instance1 => new EasyDAClient
        {
            InstanceParameters = EasyDAInstanceParametersInstances.Instance1,
            //IsolatedParameters = EasyDAAdaptableParametersInstances.Instance1,    // IMPROVE: use when available
            Isolated = true,
        };
    }
}
