﻿
using System;
using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.DataTypeModel;
using OpcLabs.EasyOpcFactory.UA.Modelling;

namespace OpcLabs.EasyOpcFactory.UA.DataTypeModel
{
    static public class UADataTypeDescriptorInstances
    {
        [NotNull]
        static public UADataTypeDescriptor Instance1 => new UADataTypeDescriptor(UAModelNodeDescriptorInstances.Instance1, null);

        [NotNull]
        static public UADataTypeDescriptor Instance2 => new UADataTypeDescriptor(UAModelNodeDescriptorInstances.Instance2, "aString");

        [NotNull]
        static public UADataTypeDescriptor Instance3 => new UADataTypeDescriptor(UAModelNodeDescriptorInstances.Instance2, new Byte[] {11, 22});
    }
}
