﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Collections.Generic.Extensions;
using OpcLabs.EasyOpc.UA.OperationModel;

namespace OpcLabs.EasyOpcFactory.UA.OperationModel
{
    static public class EasyUAMonitoredItemArgumentsDictionaryInstances
    {
        [NotNull]
        static public EasyUAMonitoredItemArgumentsDictionary Instance1
        {
            get
            {
                var argumentsDictionary = new EasyUAMonitoredItemArgumentsDictionary();
                argumentsDictionary.AddNew(0, EasyUAMonitoredItemArgumentsInstances.Instance0);
                return argumentsDictionary;
            }
        }

        [NotNull]
        static public EasyUAMonitoredItemArgumentsDictionary Instance2
        {
            get
            {
                var argumentsDictionary = new EasyUAMonitoredItemArgumentsDictionary();
                argumentsDictionary.AddNew(0, EasyUAMonitoredItemArgumentsInstances.Instance0);
                argumentsDictionary.AddNew(111, EasyUAMonitoredItemArgumentsInstances.Instance1);
                argumentsDictionary.AddNew(22222, EasyUAMonitoredItemArgumentsInstances.Instance2);
                return argumentsDictionary;
            }
        }
    }
}
