﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;

namespace OpcLabs.EasyOpcFactory.UA
{
    static public class UADataChangeFilterInstances
    {
        [NotNull]
        static public UADataChangeFilter Instance1 => new UADataChangeFilter(UADataChangeTrigger.Status);

        [NotNull]
        static public UADataChangeFilter Instance2 => new UADataChangeFilter(UADeadbandType.Absolute, 5000.5);

        [NotNull]
        static public UADataChangeFilter Instance3 => new UADataChangeFilter(UADeadbandType.Percent, 5.05, UADataChangeTrigger.StatusValueTimestamp);
    }
}
