﻿
using System;
using System.Diagnostics;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace OpcLabs.UnitTestLib
{
    public class AssertFailTraceListener : TraceListener
    {
        public override void Fail(string message)
        {
            Assert.Fail(message);
        }

        public override void Fail(string message, string detailMessage)
        {
            Assert.Fail("{0}\r\n{1}", message, detailMessage);
        }

        public override void Write(string message)
        {
            Console.Write(message);
        }

        public override void WriteLine(string message)
        {
            Console.WriteLine(message);
        }
    }
}
