﻿using Microsoft.Extensions.DependencyInjection;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib.Extensions;
using OpcLabs.EasyOpc.DataAccess;
using OpcLabs.EasyOpc.Implementation.NetApi.DataAccess;

namespace OpcLabs.EasyOpcLiveTest.DataAccess.Extensions
{
    [TestClass]
    // ReSharper disable once InconsistentNaming
    public class IEasyDAClientExtension2Test_NoCom : IEasyDAClientExtension2TestBase
    {
        protected override IEasyDAClient CreateClient()
        {
            var client = new EasyDAClient { InstanceParameters = { EnableNativeClient = false } };
            NetApiEasyDAClient netApiClient = client.GetService<NetApiEasyDAClient>();
            Assert.IsNotNull(netApiClient);
            netApiClient.Parameters_EnableComTechnology = false;
            return client;
        }
    }
}
