﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Connectivity;

namespace OpcLabs.BaseLibFactory.Connectivity
{
    static public class CompositeConnectivityInstances
    {
        [NotNull]
        static public CompositeConnectivity Instance0 => new CompositeConnectivity();

        [NotNull]
        static public CompositeConnectivity Instance1 => new CompositeConnectivity {new ConnectivityBase()};

        [NotNull]
        static public CompositeConnectivity Instance2 => new CompositeConnectivity
        {
            new ConnectivityBase(),
            new ConnectivityBase(),
            new ConnectivityBase(),
            new ConnectivityBase(),
            new ConnectivityBase()
        };

        [NotNull]
        static public CompositeConnectivity Instance3 => new CompositeConnectivity
        {
            new ConnectivityBase(),
            Instance2
        };
    }
}
