﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess;

namespace OpcLabs.EasyOpcFactory.DataAccess
{
    static public class DAQualityInstances
    {
        // same as Default
        //[NotNull]
        //static public DAQuality BadNonspecific => DAQualities.BadNonspecific;

        [NotNull]
        static public DAQuality LastKnown => DAQualities.LastKnown;

        [NotNull]
        static public DAQuality GoodNonspecific => DAQualities.GoodNonspecific;

        [NotNull]
        static public DAQuality UncertainNonspecific => DAQualities.UncertainNonspecific;

        [NotNull]
        static public DAQuality Instance1 => new DAQuality(DAStatusChoice.LastKnown, DALimitChoice.LimitHigh);
    }
}
