﻿
using System;

using JetBrains.Annotations;
using OpcLabs.BaseLib.Extensions.Internal;
using OpcLabs.EasyOpc.OperationModel;

namespace OpcLabs.EasyOpcFactory.OperationModel
{
    static public class OpcExceptionInstances
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        static public OpcException Instance1 => new OpcException(
            // ReSharper disable once LocalizableElement
            "TestMessage1", 
            new ApplicationException("InnerException2"));

        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        static public OpcException Instance2 => new OpcException(
            // ReSharper disable once LocalizableElement
            "TestMessage3",
            new ApplicationException("InnerException3")).SetErrorId("-333");
    }
}
