﻿using JetBrains.Annotations;
using OpcLabs.BaseLibFactory.Security.KeyManagement.Configuration;
using OpcLabs.EasyOpc.UA.PubSub.Engine;

namespace OpcLabs.EasyOpcFactory.UA.PubSub.Engine
{
    static public class EasyUASubscriberAdaptableParametersInstances
    {
        [NotNull]
        static public EasyUASubscriberAdaptableParameters Instance1 => new EasyUASubscriberAdaptableParameters
        {
            ManagedSecurityGroupParameters = ManagedSecurityGroupParametersInstances.Instance1,
            ResolverParameters = EasyUAPubSubResolverParametersInstances.Instance1
        };
    }
}
