﻿
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLibFactory.DataTypeModel;

namespace OpcLabs.BaseLibTest.DataTypeModel
{
    public partial class DataFieldTest
    {
        [TestMethod]
        public void EquivalenceTest_Incompletes()
        {
            Assert.IsFalse(DataFieldInstances.IncompleteInstance1.Equals(DataFieldInstances.IncompleteInstance2));
        }

        [TestMethod]
        public void IsCompleteTest_Negatives()
        {
            Assert.IsFalse(DataFieldInstances.IncompleteInstance1.IsComplete);
            Assert.IsFalse(DataFieldInstances.IncompleteInstance2.IsComplete);
        }

        [TestMethod]
        public void IsCompleteTest_Positives()
        {
            Assert.IsTrue(DataFieldInstances.Instance1.IsComplete);
            Assert.IsTrue(DataFieldInstances.Instance2.IsComplete);
            Assert.IsTrue(DataFieldInstances.Instance3.IsComplete);
            Assert.IsTrue(DataFieldInstances.Instance4.IsComplete);
            Assert.IsTrue(DataFieldInstances.Instance5.IsComplete);
        }
    }
}
