﻿
using JetBrains.Annotations;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpc.DataAccess;
using OpcLabs.EasyOpcLiveTest.DataAccess.Environment;

namespace OpcLabs.EasyOpcLiveTest.DataAccess
{
    // ReSharper disable once InconsistentNaming
    partial class EasyDAClientTest_Com
    {
        // IMPROVE: [DynamicData(nameof(OpcLabs_KitServer.CommonPropertyCatalogEntryDataRows), typeof(OpcLabs_KitServer))]
        [TestCategory("Live")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestMethod]
        public void GetPropertyValueCatalogTest_Com_Basic([NotNull] DAPropertyCatalogEntry propertyCatalogEntry)
        {
            DANodeDescriptor nodeDescriptor = new DANodeDescriptor("Simulation.Constant_I4");
            GetPropertyValueCatalogTest_Basic(
                DALiveTestEnvironment.OpcLabs_KitServer.ServerDescriptors.WithProgId,
                nodeDescriptor,
                propertyCatalogEntry);
        }
    }
}
